apt upgrade failed

Having issues with your DietPi installation or found a bug? Post it here.
Post Reply
omavoss
Posts: 50
Joined: Thu Sep 24, 2020 11:08 pm

apt upgrade failed

Post by omavoss »

Hello,
DietPi throws the following error:

Code: Select all

root@DietPi:~# apt upgrade
Reading package lists... Error!
E: Splitting of clearsigned file /var/lib/apt/lists/archive.raspberrypi.org_debian_dists_buster_InRelease failed as it doesn't contain all expected parts
E: The package lists or status file could not be parsed or opened.
root@DietPi:~#

root@DietPi:~# dietpi-update

 DietPi-Update
─────────────────────────────────────────────────────
 Phase: Checking for available DietPi update

[ INFO ] DietPi-Update | Getting repository version: https://raw.githubusercontent.com/MichaIng/DietPi/master/.update/version
[  OK  ] DietPi-Update | Got valid repository version
[  OK  ] DietPi-Update | No update required, your DietPi installation is already up to date:
[ INFO ] DietPi-Update | Current version : v7.0.2
[ INFO ] DietPi-Update | Latest version  : v7.0.2
[ INFO ] DietPi-Update | APT update, please wait...
Hit:1 https://mirror.netcologne.de/raspbian/raspbian buster InRelease
Hit:2 https://archive.raspberrypi.org/debian buster InRelease
Err:2 https://archive.raspberrypi.org/debian buster InRelease
  Splitting up /var/lib/apt/lists/archive.raspberrypi.org_debian_dists_buster_InRelease into data and signature failed
Reading package lists...
W: An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: https://archive.raspberrypi.org/debian buster InRelease: Splitting up /var/lib/apt/lists/archive.raspberrypi.org_debian_dists_buster_InRelease into data and signature failed
W: Failed to fetch https://archive.raspberrypi.org/debian/dists/buster/InRelease  Splitting up /var/lib/apt/lists/archive.raspberrypi.org_debian_dists_buster_InRelease into data and signature failed
W: Some index files failed to download. They have been ignored, or old ones used instead.
E: Splitting of clearsigned file /var/lib/apt/lists/archive.raspberrypi.org_debian_dists_buster_InRelease failed as it doesn't contain all expected parts
E: The package lists or status file could not be parsed or opened.
[FAILED] DietPi-Update | APT update
 - Command: apt-get -q update

---------------------------------------------------------------------
- DietPi has encountered an error                                   -
- Please create a ticket: https://github.com/MichaIng/DietPi/issues -
- Copy and paste only the BLUE lines below into the ticket          -
---------------------------------------------------------------------
#### Details:
- Date           | Tue Mar 16 19:02:09 CET 2021
- DietPi version | v7.0.2 (MichaIng/master)
- Image creator  | DietPi Core Team
- Pre-image      | Raspbian Lite
- Hardware       | RPi Zero W (armv6l) (ID=1)
- Kernel version | Linux DietPi 5.10.17+ #1403 Mon Feb 22 11:26:13 GMT 2021 armv6l GNU/Linux
- Distro         | buster (ID=5,RASPBIAN=1)
- Command        | apt-get -q update
- Exit code      | 100
- Software title | DietPi-Update
#### Steps to reproduce:
<!-- Explain how to reproduce the issue -->
1. ...
2. ...
#### Expected behaviour:
<!-- What SHOULD happen? -->
- ...
#### Actual behaviour:
<!-- What IS happening? -->
- ...
#### Extra details:
<!-- Please post any extra details that might help solve the issue -->
- ...
#### Additional logs:
```
Hit:1 https://mirror.netcologne.de/raspbian/raspbian buster InRelease
Hit:2 https://archive.raspberrypi.org/debian buster InRelease
Err:2 https://archive.raspberrypi.org/debian buster InRelease
  Splitting up /var/lib/apt/lists/archive.raspberrypi.org_debian_dists_buster_InRelease into data and signature failed
Reading package lists...
W: An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: https://archive.raspberrypi.org/debian buster InRelease: Splitting up /var/lib/apt/lists/archive.raspberrypi.org_debian_dists_buster_InRelease into data and signature failed
W: Failed to fetch https://archive.raspberrypi.org/debian/dists/buster/InRelease  Splitting up /var/lib/apt/lists/archive.raspberrypi.org_debian_dists_buster_InRelease into data and signature failed
W: Some index files failed to download. They have been ignored, or old ones used instead.
E: Splitting of clearsigned file /var/lib/apt/lists/archive.raspberrypi.org_debian_dists_buster_InRelease failed as it doesn't contain all expected parts
E: The package lists or status file could not be parsed or opened.
```
---------------------------------------------------------------------
[FAILED] DietPi-Update | Unable to continue, DietPi-Update will now terminate.

root@DietPi:~#
What can be done?
Thank you very much and many friendly greetings.
tinkerernoob
Posts: 1
Joined: Tue Mar 16, 2021 9:21 pm

Re: apt upgrade failed

Post by tinkerernoob »

I received an error upon the latest apt upgrade too:

Code: Select all

Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following packages will be upgraded:
  libssl1.1 libtiff5 openssl raspberrypi-sys-mods rpi-eeprom
5 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 2943 kB of archives.
After this operation, 540 kB of additional disk space will be used.
Do you want to continue? [Y/n] y
Get:1 https://archive.raspberrypi.org/debian buster/main arm64 libssl1.1 arm64 1.1.1d-0+deb10u5+rpt1 [1382 kB]
Get:2 https://deb.debian.org/debian-security buster/updates/main arm64 libtiff5 arm64 4.1.0+git191117-2~deb10u2 [259 kB]
Get:3 https://archive.raspberrypi.org/debian buster/main arm64 openssl arm64 1.1.1d-0+deb10u5+rpt1 [823 kB]
Get:4 https://archive.raspberrypi.org/debian buster/main arm64 raspberrypi-sys-mods arm64 20210310 [11.8 kB]
Get:5 https://archive.raspberrypi.org/debian buster/main arm64 rpi-eeprom arm64 11.10-1 [467 kB]
Fetched 2943 kB in 1s (4617 kB/s)
debconf: delaying package configuration, since apt-utils is not installed
(Reading database ... 44680 files and directories currently installed.)
Preparing to unpack .../libssl1.1_1.1.1d-0+deb10u5+rpt1_arm64.deb ...
Unpacking libssl1.1:arm64 (1.1.1d-0+deb10u5+rpt1) over (1.1.1d-0+deb10u5) ...
Preparing to unpack .../libtiff5_4.1.0+git191117-2~deb10u2_arm64.deb ...
Unpacking libtiff5:arm64 (4.1.0+git191117-2~deb10u2) over (4.1.0+git191117-2~deb10u1) ...
Preparing to unpack .../openssl_1.1.1d-0+deb10u5+rpt1_arm64.deb ...
Unpacking openssl (1.1.1d-0+deb10u5+rpt1) over (1.1.1d-0+deb10u5) ...
Preparing to unpack .../raspberrypi-sys-mods_20210310_arm64.deb ...
Unpacking raspberrypi-sys-mods (20210310) over (20210208) ...
Preparing to unpack .../rpi-eeprom_11.10-1_arm64.deb ...
Unpacking rpi-eeprom (11.10-1) over (11.9-1) ...
Setting up libssl1.1:arm64 (1.1.1d-0+deb10u5+rpt1) ...
Setting up raspberrypi-sys-mods (20210310) ...
Blocking vscode repo...
Failed to try-restart sshswitch.service: Unit sshswitch.service is masked.
Failed to try-restart sshswitch.service: Unit sshswitch.service is masked.
Failed to try-restart sshswitch.service: Unit sshswitch.service is masked.
Failed to try-restart sshswitch.service: Unit sshswitch.service is masked.
Setting up rpi-eeprom (11.10-1) ...
Setting up libtiff5:arm64 (4.1.0+git191117-2~deb10u2) ...
Setting up openssl (1.1.1d-0+deb10u5+rpt1) ...
Processing triggers for libc-bin (2.28-10) ...
I also tried the advice from a different post and input apt update && apt upgrade but nothing new needed to be installed. I've rebooted my Raspberry Pi 4 and it seems to have booted fine, is there anything extra I need to do?
User avatar
Joulinar
Posts: 5087
Joined: Sat Nov 16, 2019 12:49 am

Re: apt upgrade failed

Post by Joulinar »

@omavoss
there is no need to open same issue on 2 different places. Pls follow the advice on GitHub https://github.com/MichaIng/DietPi/issues/4207


@tinkerernoob
pls can you be more specific on the error message? I don't see anything on your post.
Pls let us know if a solution is working. This could help others if they hit by similar situation. Your DietPi Team
Post Reply